LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XSheetFilterDescriptor3 Interface Reference

provides access to a collection of filter conditions (filter fields). More...

`import"XSheetFilterDescriptor3.idl";`

Inheritance diagram for XSheetFilterDescriptor3:

## Public Member Functions
sequence< TableFilterField3 > | getFilterFields3 ()
| returns the collection of filter fields. More...
void | setFilterFields3 ([in] sequence< TableFilterField3 > aFilterFields)
| sets a new collection of filter fields. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a collection of filter conditions (filter fields).

This interface uses the TableFilterField3 struct. whereas the XSheetFilterDescriptor2 interface uses the TableFilterField2 struct.

See also
  SheetFilterDescriptor2

Since
  LibreOffice 3.5

## Member Function Documentation

## ◆ getFilterFields3()

sequence<TableFilterField3> getFilterFields3 | ( |  | ) |

returns the collection of filter fields.

## ◆ setFilterFields3()

void setFilterFields3 | ( | [in] sequence< TableFilterField3 > | aFilterFields | ) |

sets a new collection of filter fields.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetFilterDescriptor3.idl